# DatacenterElementMetadata

## Properties

| Name                     | Type                                                                                                    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Notes                   |
| ------------------------ | ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------- |
| **createdBy**            | **String**                                                                                              | The user who created the resource.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | \[optional] \[readonly] |
| **createdByUserId**      | **String**                                                                                              | The unique ID of the user who created the resource.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | \[optional] \[readonly] |
| **createdDate**          | [**OffsetDateTime**](https://github.com/ionos-cloud/sdk-java/blob/master/docs/models/OffsetDateTime.md) | The last time the resource was created.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | \[optional] \[readonly] |
| **etag**                 | **String**                                                                                              | Resource's Entity Tag as defined in <http://www.w3.org/Protocols/rfc2616/rfc2616-sec3.html#sec3.11> Entity Tag is also added as an 'ETag response header to requests which don't use 'depth' parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | \[optional] \[readonly] |
| **lastModifiedBy**       | **String**                                                                                              | The user who last modified the resource.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | \[optional] \[readonly] |
| **lastModifiedByUserId** | **String**                                                                                              | The unique ID of the user who last modified the resource.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | \[optional] \[readonly] |
| **lastModifiedDate**     | [**OffsetDateTime**](https://github.com/ionos-cloud/sdk-java/blob/master/docs/models/OffsetDateTime.md) | The last time the resource was modified.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | \[optional] \[readonly] |
| **state**                | [**StateEnum**](#StateEnum)                                                                             | State of the resource. *AVAILABLE* There are no pending modification requests for this item; *BUSY* There is at least one modification request pending and all following requests will be queued; *INACTIVE* Resource has been de-provisioned; *DEPLOYING* Resource state DEPLOYING - relevant for Kubernetes cluster/nodepool; *ACTIVE* Resource state ACTIVE - relevant for Kubernetes cluster/nodepool; *FAILED* Resource state FAILED - relevant for Kubernetes cluster/nodepool; *SUSPENDED* Resource state SUSPENDED - relevant for Kubernetes cluster/nodepool; *FAILED\_SUSPENDED* Resource state FAILED\_SUSPENDED - relevant for Kubernetes cluster; *UPDATING* Resource state UPDATING - relevant for Kubernetes cluster/nodepool; *FAILED\_UPDATING* Resource state FAILED\_UPDATING - relevant for Kubernetes cluster/nodepool; *DESTROYING* Resource state DESTROYING - relevant for Kubernetes cluster; *FAILED\_DESTROYING* Resource state FAILED\_DESTROYING - relevant for Kubernetes cluster/nodepool; *TERMINATED* Resource state TERMINATED - relevant for Kubernetes cluster/nodepool; *HIBERNATING* Resource state HIBERNATING - relevant for Kubernetes cluster/nodepool; *FAILED\_HIBERNATING* Resource state FAILED\_HIBERNATING - relevant for Kubernetes cluster/nodepool; *MAINTENANCE* Resource state MAINTENANCE - relevant for Kubernetes cluster/nodepool; *FAILED\_HIBERNATING* Resource state FAILED\_HIBERNATING - relevant for Kubernetes cluster/nodepool. | \[optional] \[readonly] |

## Enum: StateEnum

| Name                | Value                 |
| ------------------- | --------------------- |
| AVAILABLE           | "AVAILABLE"           |
| INACTIVE            | "INACTIVE"            |
| BUSY                | "BUSY"                |
| DEPLOYING           | "DEPLOYING"           |
| ACTIVE              | "ACTIVE"              |
| FAILED              | "FAILED"              |
| SUSPENDED           | "SUSPENDED"           |
| FAILED\_SUSPENDED   | "FAILED\_SUSPENDED"   |
| UPDATING            | "UPDATING"            |
| FAILED\_UPDATING    | "FAILED\_UPDATING"    |
| DESTROYING          | "DESTROYING"          |
| FAILED\_DESTROYING  | "FAILED\_DESTROYING"  |
| TERMINATED          | "TERMINATED"          |
| HIBERNATING         | "HIBERNATING"         |
| FAILED\_HIBERNATING | "FAILED\_HIBERNATING" |
| MAINTENANCE         | "MAINTENANCE"         |
| FAILED\_MAINTENANCE | "FAILED\_MAINTENANCE" |
| UNKNOWN             | "UNKNOWN"             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/java-sdk/models/datacenterelementmetadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
